## Open source licenses templates

### Table of Contents
- [Available licenses](#available-licenses)
    - [BSD](#bsd)
    - [GNU](#gnu)
    - [Creative Commons](#creative-commons)
    - [Other](#other)
- [Projects that use licenses](#other-projects-using-licenses)
- [Authors](#authors)
- [Help author](#donations)
- [License](#license)

Pull requests are welcome. See [contributing](.github/CONTRIBUTING.md)
and [opening issues](.github/ISSUE_TEMPLATE.md) for details.
<hr>

### Available licenses:

#### BSD
* [`bsd-2-clause`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/bsd-2-clause) - BSD 2-Clause License
* [`bsd-3-clause`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/bsd-3-clause) - BSD 3-Clause License

#### Creative Commons:
* [`cc0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cc0) - CC0 1.0 Universal
* [`cc-by`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cc-by) - Attribution 3.0 Unported
* [`cc-by-nc`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cc-by-nc) - Attribution-NonCommercial 3.0 Unported
* [`cc-by-nc-nd`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cc-by-nc-nd) - Attribution-NonCommercial-NoDerivs 3.0 Unported
* [`cc-by-nc-sa`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cc-by-nc-sa) - Attribution-NonCommercial-ShareAlike 3.0 Unported 
* [`cc-by-nd`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cc-by-nd) - Attribution-NoDerivs 3.0 Unported
* [`cc-by-sa`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cc-by-sa) - Attribution-ShareAlike 3.0 Unported

#### GNU
* [`gpl-2.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/gpl-2.0) - GNU General Public License v2.0
* [`gpl-3.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/gpl-3.0) - GNU General Public License v3.0
* [`agpl-3.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/agpl-3.0) - GNU Affero General Public License v3.0
* [`lgpl-2.1`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/lgpl-2.1) - GNU Lesser General Public License v2.1
* [`lgpl-3.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/lgpl-3.0) - GNU Lesser General Public License v3.0

#### Other
* [`aal`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/aal) - Attribution Assurance License
* [`afl-3.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/afl-3.0) - Academic Free License 3.0
* [`apache-2.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/apache-2.0) - Apache License Version 2.0
* [`apsl-2.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/apsl-2.0) - Apple Public Source License 2.0
* [`artistic-2.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/artistic-2.0) - Artistic License 2.0
* [`bsl-1.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/bsl-1.0) - Boost Software License 1.0
* [`catosl-1.1`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/catosl-1.1) - Computer Associates Trusted Open Source License 1.1
* [`cddl-1.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cddl-1.0) - COMMON DEVELOPMENT AND DISTRIBUTION LICENSE Version 1.0
* [`cecill-2.1`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/cecill-2.1) - CeCILL License 2.1
* [`epl-2.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/epl-2.0) - Eclipse Public License - v2.0
* [`mit`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/mit) - MIT License
* [`mpl-2.0`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/mpl-2.0) - Mozilla Public License Version 2.0
* [`unlicense`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/unlicense) - Unlicense
* [`wtfpl`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/wtfpl) - DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE Version 2
* [`x11`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/x11) - X11
* [`zlib`](https://github.com/YuriyLisovskiy/licenses/blob/master/licenses/zlib) - ZLIB

<hr>

### Other projects using [licenses](https://github.com/YuriyLisovskiy/licenses)

Below is a list of public, open source projects that use [licenses](https://github.com/YuriyLisovskiy/licenses):
* [lfp](https://github.com/YuriyLisovskiy/lfp) - Tool for easy adding the license to your project.

If you are using [licenses](https://github.com/YuriyLisovskiy/licenses) in a project please send
a pull request to add it to the list.

### Authors
* [API](https://github.com/YuriyLisovskiy/licenses/tree/master/api) - [Yuriy Lisovskiy](https://github.com/YuriyLisovskiy)
* [Licenses](https://github.com/YuriyLisovskiy/licenses/tree/master/licenses):
    * https://www.gnu.org
    * http://unlicense.org
    * https://opensource.org
    * https://creativecommons.org
#### Donations
* Bitcoin: `1KfafTH4fSodRHw6Lc9nnGs58sibXrYEv7`
* Ether: `0x53c554400ca9d6dd5c56739c27bd79fd14fca851`
* Bitcoin Cash: `qrxtu27d9me0h3336yjcqjw6fz9g3esley8cf09ylc`
### License
This project is licensed under the [MIT](https://opensource.org/licenses/MIT) software license - see the
[LICENSE](LICENSE) file for details.
